﻿
using System.Windows;
using System.ComponentModel.Composition;

namespace DataBrowser.ViewModel
{
    [Export(typeof(TuneMethodViewModel)),PartCreationPolicy(CreationPolicy.NonShared)]
    public class TuneMethodViewModel : DependencyObject
    {


        public object TuneData
        {
            get { return (object)GetValue(TuneDataProperty); }
            set { SetValue(TuneDataProperty, value); }
        }

        // Using a DependencyProperty as the backing store for TuneData.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty TuneDataProperty =
            DependencyProperty.Register("TuneData", typeof(object), typeof(TuneMethodViewModel));

        
    }
}
